--[[
Descripttion:资源记录
version:
Author: Neo,Huang
Date: 2023-11-18 12:13:14
LastEditors: Neo,Huang
LastEditTime: 2023-11-18 12:13:46
--]]
local root = class("itemrecord", require("base.baseModule"))

function root:ctor(id)
	root.super.ctor(self, id, "itemrecord", "id", true, false, "index `uid` (`uid`)")
	self.id = id
end

function root:mysql_get_init_columns()
	return {
		id = "bigint(20) NOT NULL AUTO_INCREMENT COMMENT '埋点ID'",
		createTime = "int(11) DEFAULT 0 COMMENT '创建时间'",
		uid = "bigint(20) DEFAULT 0 COMMENT '资源变化玩家'",
		bandShareCode = "varchar(45) DEFAULT NULL COMMENT '绑定推广码'",
		channel = "int(11) DEFAULT 0 COMMENT '玩家所属渠道'",
		eventId = "varchar(255) COMMENT '变化原因'",
		itemId = "int(11) DEFAULT 0 COMMENT '变化物品ID'",
		delta = "int(11) DEFAULT 0 COMMENT '变化数量(有符号)'",
		remainCount = "json COMMENT '变化后剩余物品数量'"
	}
end

return root
