--[[
Descripttion:明细
version:
Author: Neo,Huang
Date: 2023-11-22 23:59:15
LastEditors: Neo,Huang
LastEditTime: 2023-11-23 00:00:24
--]]
local baseService = require("baseService")
local util_record_item = require("utils.util_record_item")
local util_user = require("utils.util_user")

local root = {}

-- 获取流水
function root.get_item_detail_gold(uid, lastTime)
	if is_empty(uid) then
		return
	end
	local list = util_record_item:get_gold_record(uid, lastTime)
	if list == nil then
		return
	end
	local pack = {
		count = #list,
		list = list
	}
	util_user:user_proto_notify(uid, "on_user_item_detail_gold", pack)
end
-- 获取饰品
function root.get_item_detail_wapon(uid, lastTime)
	if is_empty(uid) then
		return
	end
	local list = util_record_item:get_wapon_record(uid, lastTime)
	if list == nil then
		return
	end
	local pack = {
		count = #list,
		list = list
	}
	util_user:user_proto_notify(uid, "on_user_item_detail_wapon", pack)
end

function root.onStart()
	return true
end

function root.onStop()
	return true
end

baseService.start(root, ".srvItemRecord")
